<?php
class ControllerModuleSocnetauth extends Controller {
	protected function index($setting) {
	
		$this->language->load('module/socnetauth');
		
		if ($this->customer->isLogged()) {
	  		return false;
    	}
		
		if( !$this->config->get('socnetauth_status') ) return false;
		
		if( empty( $_COOKIE['show_socauth_popup'] ) )
		{
			$this->data['show_cookie'] = 1;
		}
		else
		{
			$this->data['show_cookie'] = 0;
		}
		
      	$this->data['heading_title1'] = $this->language->get('heading_title1');
      	$this->data['heading_title2'] = $this->language->get('heading_title2');
      	$this->data['skip'] = $this->language->get('skip');
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/socnetauth.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/socnetauth.tpl';
		} else {
			$this->template = 'default/template/module/socnetauth.tpl';
		}

		$this->render();
	
	}
}
?>